EXTRN SR_RETURN_SVGA_INFO:NEAR
EXTRN SR_RETURN_MODE_INFO:NEAR
EXTRN SR_SET_SVGA_MODE:NEAR
EXTRN SR_GET_SVGA_MODE:NEAR
EXTRN SR_SET_LIGNE_LONGUEUR:NEAR
EXTRN SR_GET_LIGNE_LONGUEUR:NEAR
EXTRN SR_SET_DISPLAY_START:NEAR
EXTRN SR_GET_DISPLAY_START:NEAR
EXTRN SR_SET_POS_WINDOW:NEAR
EXTRN SR_COPY_RAM_RAMVIDEO:NEAR
EXTRN Mode_Information


RETURN_SVGA_INFO MACRO
 CALL SR_RETURN_SVGA_INFO
ENDM

RETURN_MODE_INFO MACRO mode
 PUSH WORD PTR mode
 CALL SR_RETURN_MODE_INFO
ENDM

SET_SVGA_MODE MACRO mode
 PUSH word PTR mode
 CALL SR_SET_SVGA_MODE
ENDM

GET_SVGA_MODE MACRO
 CALL SR_GET_SVGA_MODE
ENDM

SET_LIGNE_LONGUEUR MACRO long
 PUSH WORD PTR long
 CALL SR_SET_LIGNE_LONGUEUR
ENDM

GET_LIGNE_LONGUEUR MACRO 
 CALL SR_GET_LIGNE_LONGUEUR
ENDM

SET_DISPLAY_START MACRO x,y
 PUSH WORD PTR X
 PUSH WORD PTR Y
 CALL SR_SET_DISPLAY_START
ENDM

GET_DISPLAY_START MACRO
 CALL SR_GET_DISPLAY_START
ENDM

SET_POS_WINDOW MACRO fenetre,ofs
 PUSH WORD PTR fenetre
 PUSH WORD PTR ofs
 CALL SR_SET_POS_WINDOW
ENDM

COPY_RAM_RAMVIDEO MACRO ofsd,ofsa,taille
 PUSH DWORD PTR ofsd
 PUSH DWORD PTR ofsa
 PUSH DWORD PTR taille
 CALL SR_COPY_RAM_RAMVIDEO
ENDM
